using System;
using System.Collections.Generic;
using System.Diagnostics.Eventing.Reader;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] u = Console.ReadLine().Split();
            int n = int.Parse(u[0]);
            int l = int.Parse(u[1]);
            int[] stl = new int[n];
            string[] u1 = Console.ReadLine().Split();
            if (u1.Length == n)
            {
                bool ok = false;
                for (int i = 0; i < n; i++)
                {
                    stl[i] = int.Parse(u1[i]);
                    if (stl[i] <= l)
                    {
                        Console.WriteLine(i + 1);
                        ok = true;
                        break;
                    }
                }
                if (!ok)
                {
                    Console.WriteLine(-1);
                }
            }
            else Console.WriteLine("Broj unetih visina je razlicit od n");
        }
    }
}